Package: org.grails.spring.beans

## [Java] Class ClassLoaderAwareBeanPostProcessor

- org.grails.spring.beans.ClassLoaderAwareBeanPostProcessor

-     public class ClassLoaderAwareBeanPostProcessor
      extends BeanPostProcessorAdapter

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.ClassLoader` | `classLoader` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassLoaderAwareBeanPostProcessor (java.lang.ClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanPostProcessorAdapter` | `postProcessAfterInitialization, postProcessBeforeInitialization`

- - ### Field Detail

    - #### private java.lang.ClassLoader classLoader

  - ### Constructor Detail

    - #### public ClassLoaderAwareBeanPostProcessor(java.lang.ClassLoader classLoader)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)